(*
/*

CLASS {MSSQL_base|_utf8|_free_pascal},
UNTESTED, ABSTRACT, NATIVE:

IMPORT: {DB} .
IMPORT: {String_functions} .


BASE CLASS: {DB} .



OVERRIDE convert_in(
STR q|uery_to_convert_from_utf8_to_utf16) ==> STR
	:
	RESULT = do_convert_in(q) .
FUN do_convert_in(STR q|uery_to_convert_from_utf8_to_utf16) ==> STR,
NATIVE : @
"	RESULT := Utf8ToWinCP(Str_X_q);" .
	
OVERRIDE convert_out(STR r|esult_from_ms_sql_server) ==> STR
	:
	RESULT = do_convert_out(r)
	//DEBUG:
	//      FOR i IN [0 TO RESULT.Len-1] :
	//          << "["i"]" RESULT[i].Ord.Hex(2) " " ;
	//      << #NL ;
	.
FUN do_convert_out(STR r|esult_from_ms_sql_server) ==> STR,
NATIVE : @
"	RESULT := WinCPToUtf8(Str_X_r);" .
	

END

*/
*)

